Index: x/wm/metacity.xml
===================================================================
--- x/wm/metacity.xml	(revision f0d4ce272ba1efdd48bd4ecb6ade5b8a5014795c)
+++ x/wm/metacity.xml	(revision 66715556efbbede9ae5ab057df36af19a5b90bdc)
@@ -14,69 +14,68 @@
 
 <sect1 id="metacity" xreflabel="Metacity-&metacity-version;">
-<sect1info>
-  <othername>$LastChangedBy$</othername>
-  <date>$Date$</date>
-</sect1info>
-<?dbhtml filename="metacity.html" ?>
-<title>Metacity-&metacity-version;</title>
-
-<indexterm zone="metacity">
-  <primary sortas="a-metacity">Metacity</primary>
-</indexterm>
-
-<sect2>
-<title>Introduction to <application>Metacity</application></title>
-
-<para>The <application>Metacity</application> package contains a window 
+  <?dbhtml filename="metacity.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Metacity-&metacity-version;</title>
+
+  <indexterm zone="metacity">
+    <primary sortas="a-metacity">Metacity</primary>
+  </indexterm>
+
+  <sect2 role="package">
+<title>Introduction to Metacity</title>
+
+<para>The <application>Metacity</application> package contains a window
 manager. This is useful for organizing and displaying windows.</para>
 
-<sect3>
-<title>Package information</title>
-
-<itemizedlist spacing='compact'>
-  <listitem><para>Download (HTTP): 
-    <ulink url="&metacity-download-http;"/></para></listitem>
-  <listitem><para>Download (FTP): 
-    <ulink url="&metacity-download-ftp;"/></para></listitem>
-  <listitem><para>Download MD5 sum: 
-    &metacity-md5sum;</para></listitem>
-  <listitem><para>Download size: 
-    &metacity-size;</para></listitem>
-  <listitem><para>Estimated disk space required: 
-    &metacity-buildsize;</para></listitem>
-  <listitem><para>Estimated build time: 
-    &metacity-time;</para></listitem>
-</itemizedlist>
-</sect3>
-
-<sect3>
-<title><application>Metacity</application> dependencies</title>
-
-<sect4>
-<title>Required</title>
-
-<para><xref linkend="intltool"/>, 
-      <xref linkend="GConf"/>, and 
-      <xref linkend="gtk2"/>
-</para>
-</sect4>
-
-<sect4>
-<title>Optional</title>
-<para><xref linkend="startup-notification"/>, 
-      <ulink url="http://freedesktop.org/Software/xlibs">Xrender</ulink>*, and 
-      <ulink url="http://freedesktop.org/Software/xlibs">libXcomposite</ulink>** 
-</para>
-
-<para>* <filename class='libraryfile'>libXrender</filename> is installed 
-during an <application>XFree86</application> installation, but the 
-<application>pkgconfig</application> <filename>.pc</filename> file 
-<application>Metacity</application> looks for is not installed. Satisfy the 
-requirement by installing an <filename>xrender.pc</filename> file into 
-<filename class='directory'>/usr/X11R6/lib/pkgconfig</filename> (not
-applicable if you have <application>Xorg</application> installed):</para>
-
-<screen><userinput><command>cat &gt; /usr/X11R6/lib/pkgconfig/xrender.pc &lt;&lt; "EOF"</command>
-prefix=/usr/X11R6
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&metacity-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&metacity-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &metacity-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &metacity-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &metacity-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &metacity-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Metacity Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="intltool"/>,
+    <xref linkend="GConf"/>, and
+    <xref linkend="gtk2"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="startup-notification"/>,
+    <ulink url="http://freedesktop.org/Software/xlibs">Xrender</ulink>*, and
+    <ulink
+    url="http://freedesktop.org/Software/xlibs">libXcomposite</ulink>**</para>
+
+    <para>* <filename class='libraryfile'>libXrender</filename> is installed
+    during an <application>XFree86</application> installation, but the
+    <application>pkgconfig</application> <filename>.pc</filename> file
+    <application>Metacity</application> looks for is not installed. Satisfy the
+    requirement by installing an <filename>xrender.pc</filename> file into
+    <filename class='directory'>/usr/X11R6/lib/pkgconfig</filename> (not
+    applicable if you have <application>Xorg</application> installed):</para>
+
+<screen role="root"><userinput>cat &gt; /usr/X11R6/lib/pkgconfig/xrender.pc &lt;&lt; "EOF"
+<literal>prefix=/usr/X11R6
 exec_prefix=${prefix}
 libdir=${exec_prefix}/lib
@@ -87,138 +86,139 @@
 Version: 0.8.3
 Cflags: -I${includedir} -I/usr/X11R6/include
-Libs: -L${libdir} -lXrender  -L/usr/X11R6/lib -lX11
-<command>EOF</command></userinput></screen>
-
-<para>** <application>libXcomposite</application> can optionally be used, but 
-here's what the <application>Metacity</application> package maintainer 
-has to say about it in the configure script if the package is found: 
-<quote>Not building compositing manager by default now, must enable explicitly 
-to get it. And it doesn't work, so don't bother unless you want to hack on 
-it...</quote></para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application>Metacity</application></title>
-
-<para>Install <application>Metacity</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr --libexecdir=/usr/sbin --sysconfdir=/etc &amp;&amp;
-make</command></userinput></screen>
-
-<para>Now, as the root user:</para>
- 
-<screen><userinput role='root'><command>make install &amp;&amp;
+Libs: -L${libdir} -lXrender  -L/usr/X11R6/lib -lX11</literal>
+EOF</userinput></screen>
+
+    <para>** <application>libXcomposite</application> can optionally be used,
+    but here's what the <application>Metacity</application> package maintainer
+    has to say about it in the configure script if the package is found:
+    <quote>Not building compositing manager by default now, must enable
+    explicitly to get it. And it doesn't work, so don't bother unless you want
+    to hack on it...</quote></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Metacity</title>
+
+    <para>Install <application>Metacity</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/sbin --sysconfdir=/etc &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
 install -v -m755 -d /usr/share/doc/metacity-&metacity-version; &amp;&amp;
 install -v -m644 README rationales.txt doc/*.txt \
-    /usr/share/doc/metacity-&metacity-version;</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><option>--with-gconf-schema-file-dir=/etc/gnome/gconf/schemas</option>: 
-Use this option if you are installing <application>Metacity</application> for 
-a <application><acronym>GNOME</acronym>-2</application> installation.</para>
-
-</sect2>
-
-<sect2 id='metacity-config'>
-<title>Configuring <application>Metacity</application></title>
-
-<sect3>
-<title>Configuration Information</title>
-
-<para>To automatically start the <application>Metacity</application> window 
-manager when you issue the <command>startx</command> command, append to (or 
-create) <filename>.xinitrc</filename> using the command below (not required 
-if you are installing <application>Metacity</application> for
-a <application><acronym>GNOME</acronym>-2</application> installation). Ensure 
-you backup your current <filename>~/.xinitrc</filename> before 
-proceeding:</para>
-
-<indexterm zone="metacity metacity-config">
-   <primary sortas="e-AA.xinitrc">~/.xinitrc</primary>
-</indexterm>
-
-<screen><userinput><command>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"</command>
-xterm &amp;
-exec metacity
-<command>EOF</command></userinput></screen>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-  <segtitle>Installed Programs</segtitle>
-  <segtitle>Installed Library</segtitle>
-  <segtitle>Installed Directories</segtitle>
- 
-  <seglistitem>
-    <seg>metacity, metacity-dialog, metacity-message, metacity-theme-viewer 
-      and metacity-window-demo</seg>
-    <seg>libmetacity-private.[so,a]</seg>
-    <seg>/etc/gnome/gconf/gconf.xml.defaults/schemas/apps/metacity, 
-      /etc/gnome/gconf/gconf.xml.defaults/apps/metacity, 
-      /usr/include/metacity-1, 
-      /usr/share/doc/metacity-&metacity-version;, 
-      /usr/share/themes/[Crux,Simple]/metacity-1, 
-      /usr/share/themes/[Atlanta,Bright,Esco,AgingGorilla,Metabox], 
-      /usr/share/metacity and 
-      /usr/share/gnome/wm-properties</seg>
-  </seglistitem>
-</segmentedlist>
- 
-<variablelist>
-  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-  <?dbfo list-presentation="list"?>
-
-<varlistentry id="metacity-prog">
-  <term><command>metacity</command></term>
-  <listitem>
-    <para>is a window manager used mainly by
-       <application><acronym>GNOME</acronym></application>.
-    </para>
-    <indexterm zone="metacity metacity-prog">
-      <primary sortas="b-metacity">metacity</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="metacity-theme-viewer">
-  <term><command>metacity-theme-viewer</command></term>
-  <listitem>
-    <para>allows you to preview any installed 
-      <application>Metacity</application> theme. When designing a new 
-      <application>Metacity</application> theme, you can use 
-      <command>metacity-theme-viewer</command> to measure the performance 
-      of a window frame option, and to preview the option.
-    </para>
-    <indexterm zone="metacity metacity-theme-viewer">
-      <primary sortas="b-metacity-theme-viewer">metacity-theme-viewer</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="metacity-window-demo">
-  <term><command>metacity-window-demo</command></term>
-  <listitem>
-    <para>demonstrates various kinds of windows that window managers and 
-      window manager themes should handle.</para>
-    <indexterm zone="metacity metacity-window-demo">
-      <primary sortas="b-metacity-window-demo">metacity-window-demo</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+    /usr/share/doc/metacity-&metacity-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>--with-gconf-schema-file-dir=/etc/gnome/gconf/schemas</option>:
+    Use this option if you are installing <application>Metacity</application> for
+    a <application>GNOME-2</application> installation.</para>
+
+  </sect2>
+
+  <sect2 role="configuration" id="metacity-config">
+    <title>Configuring Metacity</title>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>To automatically start the <application>Metacity</application>
+      window manager when you issue the <command>startx</command> command,
+      append to (or create) <filename>.xinitrc</filename> using the command
+      below (not required if you are installing
+      <application>Metacity</application> for a
+      <application>GNOME-2</application> installation). Ensure
+      you backup your current <filename>~/.xinitrc</filename> before
+      proceeding:</para>
+
+      <indexterm zone="metacity metacity-config">
+        <primary sortas="e-AA.xinitrc">~/.xinitrc</primary>
+      </indexterm>
+
+<screen><userinput>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"
+<literal>xterm &amp;
+exec metacity</literal>
+EOF</userinput></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>metacity, metacity-dialog, metacity-message,
+        metacity-theme-viewer, and metacity-window-demo</seg>
+        <seg>libmetacity-private.[so,a]</seg>
+        <seg>/etc/gnome/gconf/gconf.xml.defaults/schemas/apps/metacity,
+        /etc/gnome/gconf/gconf.xml.defaults/apps/metacity,
+        /usr/include/metacity-1,
+        /usr/share/doc/metacity-&metacity-version;,
+        /usr/share/themes/[Crux,Simple]/metacity-1,
+        /usr/share/themes/[Atlanta,Bright,Esco,AgingGorilla,Metabox],
+        /usr/share/metacity, and
+        /usr/share/gnome/wm-properties</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="metacity-prog">
+        <term><command>metacity</command></term>
+        <listitem>
+          <para>is a window manager used mainly by
+          <application>GNOME</application>.</para>
+          <indexterm zone="metacity metacity-prog">
+            <primary sortas="b-metacity">metacity</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="metacity-theme-viewer">
+        <term><command>metacity-theme-viewer</command></term>
+        <listitem>
+          <para>allows you to preview any installed
+          <application>Metacity</application> theme. When designing a new
+          <application>Metacity</application> theme, you can use
+          <command>metacity-theme-viewer</command> to measure the performance
+          of a window frame option, and to preview the option.</para>
+          <indexterm zone="metacity metacity-theme-viewer">
+            <primary
+            sortas="b-metacity-theme-viewer">metacity-theme-viewer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="metacity-window-demo">
+        <term><command>metacity-window-demo</command></term>
+        <listitem>
+          <para>demonstrates various kinds of windows that window managers and
+          window manager themes should handle.</para>
+          <indexterm zone="metacity metacity-window-demo">
+            <primary sortas="b-metacity-window-demo">metacity-window-demo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
 </sect1>
-