Index: general.ent
===================================================================
--- general.ent	(revision afc3f45ba07f6283d288d66a13f637278dfdb972)
+++ general.ent	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
@@ -4,11 +4,12 @@
 -->
 
-<!ENTITY day          "31">                   <!-- Always 2 digits -->
-<!ENTITY month        "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2011">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "October &day;st, &year;">
+<!ENTITY releasedate  "November 1st, &year;">
+<!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -332,5 +333,5 @@
 <!ENTITY python2-majorver             "2.7">
 <!ENTITY python3-version              "3.2.2">
-<!ENTITY python3-majorver             "3.2.2">
+<!ENTITY python3-majorver             "3.2">
 <!ENTITY ruby-version                 "1.9.2-p290">
 <!ENTITY tcl-version                  "8.5.10">
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision afc3f45ba07f6283d288d66a13f637278dfdb972)
+++ general/prog/prog.xml	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
@@ -39,5 +39,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="php.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python3.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python-modules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ruby.xml"/>
Index: neral/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision afc3f45ba07f6283d288d66a13f637278dfdb972)
+++ 	(revision )
@@ -1,257 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY python3-download-http "http://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
-  <!ENTITY python3-download-ftp  "&gentoo-ftp-repo;/Python-&python3-version;.tar.xz">
-  <!ENTITY python3-md5sum        "3720ce9460597e49264bbb63b48b946d">
-  <!ENTITY python3-size          "8.5 MB">
-  <!ENTITY python3-buildsize     "141 MB (23MB for the test suite)">
-  <!ENTITY python3-time          "1 SBU (additional 2.9 SBU to run the test suite)">
-  <!ENTITY python3htmldoc-download-http "http://docs.python.org/ftp/python/doc/&python3-majorver;/python3-&python3-majorver;-docs-html.tar.bz2">
-  <!ENTITY python3htmldoc-md5sum        "55af06e320f35920ea9fed1f143e1286">
-  <!ENTITY python3htmldoc-size          "4.2 MB">
-]>
-
-<sect1 id="python3" xreflabel="Python-&python3-version;">
-  <?dbhtml filename="python3.html" ?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Python-&python3-version;</title>
-
-  <indexterm zone="python3">
-    <primary sortas="a-Python3">Python</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Python</title>
-
-    <para>The <application>Python</application> package contains the
-    <application>Python</application> development environment.
-    This is useful for object-oriented programming, writing scripts,
-    prototyping large programs or developing entire applications.</para>
-
-    <!-- Python compiled against Pth, OpenSSL, and SQLite.
-         326 tests OK, 36 tests skipped, 0 failures -->
-
-    &lfs70_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&python3-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&python3-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &python3-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &python3-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &python3-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &python3-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <!--<itemizedlist spacing='compact'>
-       <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/Python-&Python-version;-bdb_4.8-1.patch"/></para>
-      </listitem> 
-    </itemizedlist>-->
-
-    <itemizedlist spacing='compact'>
-      <title>Optional HTML Documentation</title>
-      <listitem>
-        <para>Download (HTTP): <ulink url="&python3htmldoc-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &python3htmldoc-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &python3htmldoc-size;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Python Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="pth"/>,
-    <xref linkend="libffi"/> or <xref linkend="gcc"/> (install JAVA so that the 
-    <filename class="libraryfile">libffi</filename> library is built), and
-    <ulink url="http://www.bluez.org/">BlueZ</ulink></para>
-
-    <bridgehead renderas="sect4">Optional
-    (to create package-specific support modules)</bridgehead>
-    <para role="optional"><xref linkend="openssl"/>,
-    <xref linkend="tk"/>,
-    <xref linkend="db"/>, and
-    <xref linkend="sqlite"/></para>
-
-    <para>Note that there is a circular dependency with the
-    <application>Tk</application> package as it requires Xorg to be installed
-    but parts of Xorg depend on <application>Python</application>.</para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/Python"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Python</title>
-
-    <para>Install <application>Python</application> by running the following
-    commands:</para>
-
-<screen><userinput>sed -i "s/ndbm_libs = \[\]/ndbm_libs = ['gdbm', 'gdbm_compat']/" setup.py &amp;&amp;
-./configure --prefix=/usr --enable-shared &amp;&amp;
-make</userinput></screen>
-
-    <para>To test the results, issue: <command>make test</command>. Note that
-    if you have an existing <application>Python</application> installation
-    which includes the <application>PyXML</application> module, the tests could
-    produce a segmentation fault.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-    <para>There is no documentation installed using the instructions above.
-    See the <filename>Doc/README.txt</filename> file in the source
-    distribution for instructions on how to create the html. Alternatively,
-    you can download preformatted documentation from <ulink
-    url="http://docs.python.org/download.html"/>.</para>
-
-    <para>In order to use the <command>help ('name_string')</command> feature
-    of the <command>python</command> interpreter with some statements and
-    keywords, you must download (or create) the optional HTML documentation
-    and install it. If you downloaded the HTML docs, issue the following
-    commands as the
-    <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/Python-&python3-version;/html &amp;&amp;
-tar --strip-components=1 \
-    --no-same-owner \
-    --no-same-permissions \
-    -C /usr/share/doc/Python-&python3-version;/html \
-    -xvf ../python-&python3-majorver;-docs-html.tar.bz2</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para><command>sed -i "s/ndbm_libs = ..." setup.py</command>: This command
-    is used to fix a build problem with the <application>GDBM</application>
-    library.</para>
-
-  </sect2>
-
-  <sect2 role="configuration">
-    <title>Configuring Python</title>
-
-    <para>In order for <command>python</command> to find the installed
-    documentation, you must add the following environment variable to
-    individual user's or the system's profile:</para>
-
-    <screen role="root"><userinput>export PYTHONDOCS=/usr/share/doc/Python-&python3-version;/html</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>2to3, pydoc, python3, python3-config, python&python3-majorver;,
-        python&python3-majorver;-config, smtpd.py, and optionally if
-        <application>Tk</application> is installed, idle</seg>
-        <seg>libpython&python3-majorver;.so and numerous modules installed in
-        /usr/lib/python&python3-majorver;/lib-dynload</seg>
-        <seg>/usr/include/python&python3-majorver;,
-        /usr/lib/python&python3-majorver;, and
-        /usr/share/doc/python-&python3-version;</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="idle">
-        <term><command>idle</command></term>
-        <listitem>
-          <para>is a wrapper script that opens a
-          <application>Python</application> aware GUI editor.</para>
-          <indexterm zone="python3 idle">
-            <primary sortas="b-idle">idle</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="pydoc">
-        <term><command>pydoc</command></term>
-        <listitem>
-          <para>is the <application>Python</application> documentation
-          tool.</para>
-          <indexterm zone="python3 pydoc">
-            <primary sortas="b-pydoc">pydoc</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="python3-prog">
-        <term><command>python</command></term>
-        <listitem>
-          <para>is an interpreted, interactive, object-oriented programming
-          language.</para>
-          <indexterm zone="python3 python3-prog">
-            <primary sortas="b-python3">python3</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="python-ver">
-        <term><command>python&python3-majorver;</command></term>
-        <listitem>
-          <para>is a version-specific name for the <command>python</command>
-          program.</para>
-          <indexterm zone="python3 python-ver">
-            <primary sortas="b-python&python3-majorver;">python&python3-majorver;</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="smtpd.py">
-        <term><command>smtpd.py</command></term>
-        <listitem>
-          <para>is an SMTP proxy implemented in
-          <application>Python</application>.</para>
-          <indexterm zone="python3 smtpd.py">
-            <primary sortas="b-smtpd.py">smtpd.py</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision afc3f45ba07f6283d288d66a13f637278dfdb972)
+++ general/prog/python2.xml	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
@@ -122,5 +122,6 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>make install &amp;&amp;
+chmod -v 755 /usr/lib/libpython&python2-majorver;.so.1.0</userinput></screen>
 
     <para>There is no documentation installed using the instructions above.
@@ -152,4 +153,7 @@
     is used to fix a build problem with the <application>GDBM</application>
     library.</para>
+
+    <para><command>chmod ...</command>: Fix permissions for libraries to be 
+    consistent with other libraries.</para>
 
   </sect2>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
+++ general/prog/python3.xml	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
@@ -0,0 +1,275 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY python3-download-http "http://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
+  <!ENTITY python3-download-ftp  "&gentoo-ftp-repo;/Python-&python3-version;.tar.xz">
+  <!ENTITY python3-md5sum        "3720ce9460597e49264bbb63b48b946d">
+  <!ENTITY python3-size          "8.5 MB">
+  <!ENTITY python3-buildsize     "141 MB (23MB for the test suite)">
+  <!ENTITY python3-time          "1 SBU (additional 2.9 SBU to run the test suite)">
+  <!ENTITY python3htmldoc-download-http "http://docs.python.org/ftp/python/doc/&python3-version;/python3-&python3-version;-docs-html.tar.bz2">
+  <!ENTITY python3htmldoc-md5sum        "55af06e320f35920ea9fed1f143e1286">
+  <!ENTITY python3htmldoc-size          "4.2 MB">
+]>
+
+<sect1 id="python3" xreflabel="Python-&python3-version;">
+  <?dbhtml filename="python3.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Python-&python3-version;</title>
+
+  <indexterm zone="python3">
+    <primary sortas="a-Python3">Python</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Python</title>
+
+    <para>The <application>Python</application> package contains the
+    <application>Python</application> development environment.
+    This is useful for object-oriented programming, writing scripts,
+    prototyping large programs or developing entire applications.</para>
+
+    <!-- Python compiled against Pth, OpenSSL, and SQLite.
+         326 tests OK, 36 tests skipped, 0 failures -->
+
+    &lfs70_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&python3-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&python3-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &python3-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &python3-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &python3-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &python3-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <!--<itemizedlist spacing='compact'>
+       <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/Python-&Python-version;-bdb_4.8-1.patch"/></para>
+      </listitem> 
+    </itemizedlist>-->
+
+    <itemizedlist spacing='compact'>
+      <title>Optional HTML Documentation</title>
+      <listitem>
+        <para>Download (HTTP): <ulink url="&python3htmldoc-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &python3htmldoc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &python3htmldoc-size;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Python Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="pth"/>,
+    <xref linkend="libffi"/> or <xref linkend="gcc"/> (install JAVA so that the 
+    <filename class="libraryfile">libffi</filename> library is built), and
+    <ulink url="http://www.bluez.org/">BlueZ</ulink></para>
+
+    <bridgehead renderas="sect4">Optional
+    (to create package-specific support modules)</bridgehead>
+    <para role="optional"><xref linkend="openssl"/>,
+    <xref linkend="tk"/>,
+    <xref linkend="db"/>, and
+    <xref linkend="sqlite"/></para>
+
+    <para>Note that there is a circular dependency with the
+    <application>Tk</application> package as it requires Xorg to be installed
+    but parts of Xorg depend on <application>Python</application>.</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/Python"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Python</title>
+
+    <para>Install <application>Python</application> by running the following
+    commands:</para>
+
+<screen><userinput>sed -i "s/ndbm_libs = \[\]/ndbm_libs = ['gdbm', 'gdbm_compat']/" setup.py &amp;&amp;
+./configure --prefix=/usr --enable-shared &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make test</command>. Note that
+    if you have an existing <application>Python</application> installation
+    which includes the <application>PyXML</application> module, the tests could
+    produce a segmentation fault.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install                               &amp;&amp;
+chmod -v 755 /usr/lib/libpython&python3-majorver;m.so.1.0 &amp;&amp;
+chmod -v 755 /usr/lib/libpython3.so </userinput></screen>
+
+    <para>There is no documentation installed using the instructions above.
+    See the <filename>Doc/README.txt</filename> file in the source
+    distribution for instructions on how to create the html. Alternatively,
+    you can download preformatted documentation from <ulink
+    url="http://docs.python.org/download.html"/>.</para>
+
+    <para>In order to use the <command>help ('name_string')</command> feature
+    of the <command>python</command> interpreter with some statements and
+    keywords, you must download (or create) the optional HTML documentation
+    and install it. If you downloaded the HTML docs, issue the following
+    commands as the
+    <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/Python-&python3-version;/html &amp;&amp;
+tar --strip-components=1 \
+    --no-same-owner \
+    --no-same-permissions \
+    -C /usr/share/doc/Python-&python3-version;/html \
+    -xvf ../python-&python3-majorver;-docs-html.tar.bz2</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i "s/ndbm_libs = ..." setup.py</command>: This command
+    is used to fix a build problem with the <application>GDBM</application>
+    library.</para>
+
+    <para><command>chmod ...</command>: Fix permissions for libraries to be 
+    consistent with other libraries.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Python</title>
+
+    <para>In order for <command>python</command> to find the installed
+    documentation, you must add the following environment variable to
+    individual user's or the system's profile:</para>
+
+    <screen role="root"><userinput>export PYTHONDOCS=/usr/share/doc/Python-&python3-version;/html</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>2to3, 
+        
+        pydoc3 (link to pydoc-&python3-majorver;), 
+        pydoc&python3-majorver;,
+
+        python3, 
+        python&python3-majorver; (hard link with python3),
+        python&python3-majorver;m (hard link with python3),
+
+        python3-config (link to python&python3-majorver;-config), 
+        python&python3-majorver; (link to python&python3-majorver;m-config),
+        python&python3-majorver;m,
+
+        smtpd.py, and optionally if <application>Tk</application> is installed, idle</seg>
+        
+        <seg>libpython3.so, libpython&python3-majorver;m.so.1.0 and numerous modules installed in
+        /usr/lib/python&python3-majorver;</seg>
+        
+        <seg>/usr/include/python&python3-majorver;,
+             /usr/lib/python&python3-majorver;, and
+             /usr/share/doc/python-&python3-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="idle">
+        <term><command>idle</command></term>
+        <listitem>
+          <para>is a wrapper script that opens a
+          <application>Python</application> aware GUI editor.</para>
+          <indexterm zone="python3 idle">
+            <primary sortas="b-idle">idle</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="pydoc">
+        <term><command>pydoc</command></term>
+        <listitem>
+          <para>is the <application>Python</application> documentation
+          tool.</para>
+          <indexterm zone="python3 pydoc">
+            <primary sortas="b-pydoc">pydoc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="python3-prog">
+        <term><command>python</command></term>
+        <listitem>
+          <para>is an interpreted, interactive, object-oriented programming
+          language.</para>
+          <indexterm zone="python3 python3-prog">
+            <primary sortas="b-python3">python3</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="python-ver">
+        <term><command>python&python3-majorver;</command></term>
+        <listitem>
+          <para>is a version-specific name for the <command>python</command>
+          program.</para>
+          <indexterm zone="python3 python-ver">
+            <primary sortas="b-python&python3-majorver;">python&python3-majorver;</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="smtpd.py">
+        <term><command>smtpd.py</command></term>
+        <listitem>
+          <para>is an SMTP proxy implemented in
+          <application>Python</application>.</para>
+          <indexterm zone="python3 smtpd.py">
+            <primary sortas="b-smtpd.py">smtpd.py</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision afc3f45ba07f6283d288d66a13f637278dfdb972)
+++ introduction/welcome/changelog.xml	(revision 72245066a0a973b9b3eac454ec7811d96d0f4a0d)
@@ -45,4 +45,7 @@
       <para>November 1st, 2011</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Minor changes to Python sections.</para>
+        </listitem>
         <listitem>
           <para>[wblaszcz] - Fixed wget dependency to Certificate Authority