Index: general/genlib/nspr.xml
===================================================================
--- general/genlib/nspr.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/genlib/nspr.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/pcre.xml
===================================================================
--- general/genlib/pcre.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/genlib/pcre.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/pcre2.xml
===================================================================
--- general/genlib/pcre2.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/genlib/pcre2.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/llvm.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -59,5 +59,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -241,5 +241,5 @@
       by the <systemitem class="username">root</systemitem> user and makes them
       temporarily unusable by all jobs on the machine.)
-      Note that the Sanitizer based tests (5 of more than 41000 tests run) 
+      Note that the Sanitizer based tests (6 of more than 41000 tests run) 
       are known to fail.
 
Index: general/prog/perl-deps/perl-capture-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-capture-tiny.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-capture-tiny.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-encode-locale.xml
===================================================================
--- general/prog/perl-deps/perl-encode-locale.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-encode-locale.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-http-date.xml
===================================================================
--- general/prog/perl-deps/perl-http-date.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-http-date.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-http-message.xml
===================================================================
--- general/prog/perl-deps/perl-http-message.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-http-message.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-io-html.xml
===================================================================
--- general/prog/perl-deps/perl-io-html.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-io-html.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-lwp-mediatypes.xml
===================================================================
--- general/prog/perl-deps/perl-lwp-mediatypes.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-lwp-mediatypes.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-net-ssleay.xml
===================================================================
--- general/prog/perl-deps/perl-net-ssleay.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-net-ssleay.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -37,5 +37,5 @@
       </itemizedlist>-->
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-test-fatal.xml
===================================================================
--- general/prog/perl-deps/perl-test-fatal.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-test-fatal.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-test-needs.xml
===================================================================
--- general/prog/perl-deps/perl-test-needs.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-test-needs.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-timedate.xml
===================================================================
--- general/prog/perl-deps/perl-timedate.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-timedate.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -26,5 +26,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-deps/perl-try-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-try-tiny.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-deps/perl-try-tiny.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -28,5 +28,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-http-daemon.xml
===================================================================
--- general/prog/perl-modules/perl-http-daemon.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-modules/perl-http-daemon.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -27,5 +27,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-io-socket-ssl.xml
===================================================================
--- general/prog/perl-modules/perl-io-socket-ssl.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-modules/perl-io-socket-ssl.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -29,5 +29,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/perl-modules/perl-uri.xml
===================================================================
--- general/prog/perl-modules/perl-uri.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/perl-modules/perl-uri.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -34,5 +34,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/valgrind.xml
===================================================================
--- general/prog/valgrind.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/prog/valgrind.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -90,6 +90,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="bind"/> or <xref linkend="bind-utils"/> (for tests), 
-      <xref linkend="boost"/>,
+      <!-- The below programs are no longer used or looked for. -->
+      <!--<xref linkend="bind"/> or <xref linkend="bind-utils"/> (for tests),
+      <xref linkend="boost"/>, --> 
       <xref linkend="gdb"/> (for tests), 
       <xref linkend="llvm"/> (with Clang), and
@@ -134,5 +135,6 @@
       To test the results, issue: <command>make regtest</command>. The tests
       may hang forever if <xref linkend="gdb"/> is not installed. Some tests
-      are known to hang also, depending on the version of glibc. Problematic
+      are known to hang also, depending on the version of glibc. Some tests 
+      in the "drd" test suite are known to fail as well. Problematic
       tests can be disabled by changing the <userinput>prereq:</userinput> line
       in the corresponding <filename>.vgtest</filename> file to
Index: general/sysutils/unzip.xml
===================================================================
--- general/sysutils/unzip.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ general/sysutils/unzip.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <caution>
Index: networking/netlibs/libevent.xml
===================================================================
--- networking/netlibs/libevent.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ networking/netlibs/libevent.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/net-tools.xml
===================================================================
--- networking/netprogs/net-tools.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ networking/netprogs/net-tools.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ networking/netutils/bind-utils.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -41,5 +41,5 @@
     client side applications.</para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -87,5 +87,5 @@
       <xref linkend="libcap-pam"/>,
       <xref linkend="libxml2"/>, and
-      <ulink url="https://www.sphinx-doc.org/en/master/">Spinx</ulink>
+      <ulink url="https://www.sphinx-doc.org/en/master/">Sphinx</ulink>
     </para>
 
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ postlfs/security/gnutls.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -55,5 +55,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/nettle.xml
===================================================================
--- postlfs/security/nettle.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ postlfs/security/nettle.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ postlfs/security/nss.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -49,5 +49,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/databases/sqlite.xml
===================================================================
--- server/databases/sqlite.xml	(revision 0e541f2237ed9be1fe2fcbb3c77e4de377884629)
+++ server/databases/sqlite.xml	(revision 72592375e8a820c1ce9a12db5c223908adcd7c34)
@@ -45,5 +45,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>