Index: general/prog/dbus-python.xml
===================================================================
--- general/prog/dbus-python.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/dbus-python.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -85,5 +85,5 @@
       <para role="optional">
         <xref linkend="docutils"/> and
-        <ulink url="http://www.sphinx-doc.org/en/master/">Sphinx</ulink> with
+        <ulink url="https://www.sphinx-doc.org/en/master/">Sphinx</ulink> with
         <ulink url="https://github.com/rtfd/sphinx_rtd_theme">sphinx_rtd_theme</ulink>
       </para>
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/git.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -46,5 +46,5 @@
       files, much like tools such as <xref linkend="mercurial"/>,
       <application>Bazaar</application>, <xref linkend="subversion"/>,
-      <ulink url="http://www.nongnu.org/cvs/">CVS</ulink>,
+      <ulink url="https://www.nongnu.org/cvs/">CVS</ulink>,
       <application>Perforce</application>, and
       <application>Team Foundation Server</application>.
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/mercurial.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -87,5 +87,5 @@
     <xref linkend="subversion"/> (with Python bindings),
     <ulink url="https://launchpad.net/bzr">Bazaar</ulink>,
-    <ulink url="http://www.nongnu.org/cvs/">CVS</ulink>,
+    <ulink url="https://www.nongnu.org/cvs/">CVS</ulink>,
     <ulink url="https://pypi.python.org/pypi/pyflakes">pyflakes</ulink>,
     <ulink url="https://www.pyopenssl.org/en/stable/">pyOpenSSL</ulink>, and
Index: general/prog/openjdk.xml
===================================================================
--- general/prog/openjdk.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/openjdk.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -54,5 +54,5 @@
       In similar fashion to the LGPL, which allows non-free programs to link
       to libraries provided by free software, the
-      <ulink url="http://openjdk.org/legal/gplv2+ce.html">GNU
+      <ulink url="https://openjdk.org/legal/gplv2+ce.html">GNU
       General Public License, version 2, with the Classpath Exception</ulink>
       allows third party programs to use classes provided by free software
@@ -81,5 +81,5 @@
         nor the JVM built with the instructions below have been tested against
         the <ulink
-  url="http://openjdk.java.net/groups/conformance/JckAccess/jck-access.html">
+  url="https://openjdk.java.net/groups/conformance/JckAccess/jck-access.html">
         TCK</ulink>. Any version that is built using the instructions given,
         cannot claim to be compatible with the proprietary JDK, without the
@@ -92,5 +92,5 @@
         above. In addition to the community license above, an educational,
         non-commercial license for the TCK can be obtained <ulink
-        url="http://www.oracle.com/technetwork/java/index-137188.html">
+        url="https://www.oracle.com/technetwork/java/index-137188.html">
         here</ulink>.
       </para>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/php.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -132,5 +132,5 @@
           url="https://www.php.net/distributions/manual/php_manual_en.tar.gz"/>.
           Note that the documentation can be found in languages other than
-          English at <ulink url="http://www.php.net/download-docs.php"/>
+          English at <ulink url="https://www.php.net/download-docs.php"/>
         </para>
       </listitem>
@@ -155,9 +155,9 @@
       <xref linkend="pth"/>,
       <ulink url="https://wiki.ubuntu.com/AppArmor">AppArmor</ulink>,
-      <ulink url="http://dmalloc.com/">Dmalloc</ulink>,
+      <ulink url="https://dmalloc.com/">Dmalloc</ulink>,
       <ulink url="http://www.net-snmp.org/">Net-SNMP</ulink>,
       <ulink url="https://github.com/kkos/oniguruma">oniguruma</ulink>,
       <ulink url="http://www.ossp.org/pkg/lib/mm/">OSSP mm</ulink>,
-      <ulink url="http://re2c.org/">re2c</ulink>, and
+      <ulink url="https://re2c.org/">re2c</ulink>, and
       <ulink url="http://xmlrpc-epi.sourceforge.net/main.php?t=php_about">XMLRPC-EPI</ulink>
     </para>
@@ -185,5 +185,5 @@
       <ulink url="https://www.hyperwave.com/en/">Hyperwave</ulink>,
       <ulink url="http://www.mnogosearch.org/">mnoGoSearch</ulink>,
-      <ulink url="http://download.roxen.com/6.1/">Roxen WebServer</ulink>, and
+      <ulink url="https://download.roxen.com/6.1/">Roxen WebServer</ulink>, and
       <ulink url="https://github.com/Bilal-S/WDDX.net">WDDX</ulink>
     </para>
@@ -195,5 +195,5 @@
       <xref linkend="libiodbc"/>,
       <xref linkend="lmdb"/>,
-      <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
+      <xref linkend="mariadb"/> or <ulink url="https://www.mysql.com/">MySQL</ulink>,
       <xref linkend="openldap"/>,
       <xref linkend="postgresql"/>,
@@ -202,11 +202,11 @@
       <ulink url="https://www.softwareag.com/en_corporate/platform/adabas-natural.html">Adabas</ulink>,
       <ulink url="https://raima.com/raima-database-manager/">Birdstep</ulink>,
-      <ulink url="http://cr.yp.to/cdb.html">cdb</ulink>,
-      <ulink url="http://www.dbmaker.com/">DBMaker</ulink>,
+      <ulink url="https://cr.yp.to/cdb.html">cdb</ulink>,
+      <ulink url="https://www.dbmaker.com/">DBMaker</ulink>,
       <ulink url="http://www.empress.com/">Empress</ulink>,
       <ulink url="http://www.frontbase.com/cgi-bin/WebObjects/FBWebSite">FrontBase</ulink>,
       <ulink url="https://www.ibm.com/analytics/us/en/db2/">IBM DB2</ulink>,
-      <ulink url="http://www.hughes.com.au/products/msql/">Mini SQL</ulink>,
-      <ulink url="http://www.monetra.com/">Monetra</ulink>, and
+      <ulink url="https://hughestech.com.au/products/msql/">Mini SQL</ulink>,
+      <ulink url="https://www.monetra.com/">Monetra</ulink>, and
       <ulink url="https://sourceforge.net/projects/qdbm">QDBM</ulink>
     </para>
@@ -249,5 +249,5 @@
         various things. You can use <command>./configure --help</command> to
         see a full list of the available options. Also, use of the
-        <ulink url="http://www.php.net/">PHP web site</ulink>
+        <ulink url="https://www.php.net/">PHP web site</ulink>
         is highly recommended, as their online docs are very good. An example
         of a <command>configure</command> command that utilizes many of the
@@ -382,5 +382,5 @@
     </para>
 
-<screen role="nodump"><userinput>wget http://pear.php.net/go-pear.phar
+<screen role="nodump"><userinput>wget https://pear.php.net/go-pear.phar
 php ./go-pear.phar</userinput></screen>
 
Index: general/prog/pygtk.xml
===================================================================
--- general/prog/pygtk.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/pygtk.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -106,5 +106,5 @@
       <bridgehead renderas="sect5">Optional</bridgehead>
       <para role="optional">
-        <ulink url="http://www.numpy.org/">NumPy</ulink>
+        <ulink url="https://www.numpy.org/">NumPy</ulink>
       </para>
 
Index: general/prog/python2.xml
===================================================================
--- general/prog/python2.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/python2.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -185,5 +185,5 @@
       variable for the version you want to use, each time you need to consult
       the documentation. If you have downloaded the preformatted documentation
-      from <ulink url="http://docs.python.org/download.html"/>, install it
+      from <ulink url="https://docs.python.org/download.html"/>, install it
       as the <systemitem class="username">root</systemitem> user:
     </para>
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/python3.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -113,5 +113,5 @@
       <xref linkend="gdb"/> (required for some tests),
       <xref linkend="valgrind"/>, and
-      <ulink url="http://www.bytereef.org/mpdecimal">libmpdec</ulink>
+	  <ulink url="https://www.bytereef.org/mpdecimal/">libmpdec</ulink>
     </para>
 
Index: general/prog/subversion.xml
===================================================================
--- general/prog/subversion.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/subversion.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -135,5 +135,5 @@
       <xref linkend="swig"/> (for building Perl, Python and Ruby bindings),
       <ulink url="https://github.com/lz4/lz4/releases">LZ4</ulink>, and
-      <ulink url="http://git.netsurf-browser.org/libutf8proc.git/">UTF8proc</ulink>
+      <ulink url="https://git.netsurf-browser.org/libutf8proc.git/">UTF8proc</ulink>
     </para>
 
@@ -141,5 +141,5 @@
     <para role="optional">
       One of <xref linkend="openjdk"/>,
-      <ulink url="http://www.inet.no/dante/">Dante</ulink> or
+      <ulink url="https://www.inet.no/dante/">Dante</ulink> or
       <ulink url="http://jikes.sourceforge.net/">Jikes</ulink>,
       <ulink url="https://junit.org/junit4/">JUnit 4</ulink> (to test the Java bindings) and
Index: general/prog/svnserver.xml
===================================================================
--- general/prog/svnserver.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/svnserver.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -112,5 +112,5 @@
         There are several ways to set up a subversion repository. It is
         recommended to have a look at the <ulink
-        url="http://svnbook.red-bean.com/nightly/en/svn.reposadmin.html">SVN
+        url="https://svnbook.red-bean.com/nightly/en/svn.reposadmin.html">SVN
         Book</ulink> corresponding chapter. A basic repository can be set up
         with the instructions below.
@@ -217,5 +217,5 @@
         <command>svnserve</command>. There are several other ways to provide
         access to the repository. These additional configurations are best
-        explained at <ulink url="http://svnbook.red-bean.com/"/>.
+        explained at <ulink url="https://svnbook.red-bean.com/"/>.
       </para>
 
Index: general/prog/yasm.xml
===================================================================
--- general/prog/yasm.xml	(revision b3d0dbd67b63fbf69239f40855e31fd306a4c9fa)
+++ general/prog/yasm.xml	(revision 80106051b02fd23e87febd59d9d16218b3f200c2)
@@ -77,5 +77,5 @@
     <para role="optional">
       <xref linkend="python2"/> and
-      <ulink url="http://cython.org/">Cython</ulink>
+      <ulink url="https://cython.org/">Cython</ulink>
     </para>
 