Index: general.ent
===================================================================
--- general.ent	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ general.ent	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -298,5 +298,5 @@
 <!ENTITY libjpeg-turbo-version        "1.3.1">
 <!ENTITY libmng-version               "2.0.2">
-<!ENTITY libpng-version               "1.6.11">
+<!ENTITY libpng-version               "1.6.12">
 <!ENTITY librsvg-version              "2.40.2">   <!-- Normally even minors
                                                        Required version in order to use
@@ -382,5 +382,5 @@
 <!ENTITY expect-version               "5.45">
 <!ENTITY gcc-version                  "4.9.0">
-<!ENTITY gc-version                   "7.4.0">
+<!ENTITY gc-version                   "7.4.2">
 <!ENTITY gdb-version                  "7.7.1">
 <!ENTITY git-version                  "2.0.0">
@@ -440,5 +440,5 @@
 <!-- Chapter 14 -->
 <!ENTITY ppp-version                  "2.4.5">
-<!ENTITY dhcpcd-version               "6.3.2">
+<!ENTITY dhcpcd-version               "6.4.0">
 <!ENTITY dhcp-version                 "4.3.0">
 
@@ -463,5 +463,5 @@
 <!ENTITY NetworkManager-version       "0.9.8.10">
 <!ENTITY nmap-version                 "6.46">
-<!ENTITY traceroute-version           "2.0.19">
+<!ENTITY traceroute-version           "2.0.20">
 <!ENTITY whois-version                "5.1.3">
 <!ENTITY wicd-version                 "1.7.2.4">
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ general/graphlib/libpng.xml	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -8,10 +8,10 @@
            "&sourceforge-repo;/libpng/libpng-&libpng-version;.tar.xz">
   <!ENTITY libpng-download-ftp  " ">
-  <!ENTITY libpng-md5sum        "fd594bd3f1cf0389c03f5297ce92671b">
-  <!ENTITY libpng-size          "880 KB">
+  <!ENTITY libpng-md5sum        "ee752da8aa75076500e4cf31318e636e">
+  <!ENTITY libpng-size          "884 KB">
   <!ENTITY libpng-buildsize     "12 MB (additional 1 MB for the tests)">
-  <!ENTITY libpng-time          "0.1 SBU (additional 0.2 SBU for the tests)">
-
-  <!ENTITY apng-version "1.6.11">
+  <!ENTITY libpng-time          "0.1 SBU (additional 0.3 SBU for the tests)">
+
+  <!ENTITY apng-version "1.6.12">
 
   <!ENTITY apng-patch
Index: general/prog/gc.xml
===================================================================
--- general/prog/gc.xml	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ general/prog/gc.xml	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -7,8 +7,8 @@
   <!ENTITY gc-download-http "http://www.hboehm.info/gc/gc_source/gc-&gc-version;.tar.gz">
   <!ENTITY gc-download-ftp  " ">
-  <!ENTITY gc-md5sum        "f40d9a47c90d60791eeecb484f8df5ee">
+  <!ENTITY gc-md5sum        "12c05fd2811d989341d8c6d81f66af87">
   <!ENTITY gc-size          "1.1 MB">
-  <!ENTITY gc-buildsize     "9.8 MB (additional 2.2 MB for the tests)">
-  <!ENTITY gc-time          "0.1 SBU (additional 0.1 SBU for the tests)">
+  <!ENTITY gc-buildsize     "9.7 MB (additional 2.3 MB for the tests)">
+  <!ENTITY gc-time          "0.2 SBU (additional 0.2 SBU for the tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ introduction/welcome/changelog.xml	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -49,4 +49,20 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - libpng-1.6.12. Fixes
+          <ulink url="&blfs-ticket-root;5177">#5177</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - gc-7.4.2. Fixes
+          <ulink url="&blfs-ticket-root;5176">#5176</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - traceroute-2.0.20. Fixes
+          <ulink url="&blfs-ticket-root;5175">#5175</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - dhcpcd-6.4.0. Fixes
+          <ulink url="&blfs-ticket-root;5174">#5174</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to libusb-1.0.19. Fixes
           <ulink url="&blfs-ticket-root;5172">#5172</ulink>.</para>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ networking/connect/dhcpcd.xml	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -8,7 +8,7 @@
   <!ENTITY dhcpcd-download-ftp  " ">
   <!--<!ENTITY dhcpcd-download-ftp  "ftp://ftp.osuosl.org/pub/gentoo/distfiles/dhcpcd-&dhcpcd-version;.tar.bz2">-->
-  <!ENTITY dhcpcd-md5sum        "bb7d8e8533161fbe0eee3b8830fdbdf4">
-  <!ENTITY dhcpcd-size          "136 KB">
-  <!ENTITY dhcpcd-buildsize     "2.0 MB">
+  <!ENTITY dhcpcd-md5sum        "3a6f5952fd1bcf0eefb9c7c087acbfc9">
+  <!ENTITY dhcpcd-size          "144 KB">
+  <!ENTITY dhcpcd-buildsize     "2.2 MB">
   <!ENTITY dhcpcd-time          "less than 0.1 SBU">
 ]>
@@ -224,7 +224,7 @@
 EOF</userinput></screen>
 
-      <para>You can either use the DNS servers used in
-        <filename>/etc/resolv.conf</filename> by another system, use your
-        preferred servers, or just use the example
+      <para>You can either use DNS servers in
+        <filename>/etc/resolv.conf</filename> from another system, your
+        preferred servers, or just the example
         <filename>/etc/resolv.conf.head</filename> file below as is:</para>
 
Index: networking/netutils/traceroute.xml
===================================================================
--- networking/netutils/traceroute.xml	(revision 54ad89b7d6058a952edf4fb610aa20711f2028ee)
+++ networking/netutils/traceroute.xml	(revision 084086642333c9a1ee13f94e7e13b69fec4bb053)
@@ -7,7 +7,7 @@
   <!ENTITY traceroute-download-http "&sourceforge-repo;/traceroute/traceroute-&traceroute-version;.tar.gz">
   <!ENTITY traceroute-download-ftp  " ">
-  <!ENTITY traceroute-md5sum        "dd15d563993020d088ba02e8f987deaf">
-  <!ENTITY traceroute-size          "72 KB">
-  <!ENTITY traceroute-buildsize     "632 KB">
+  <!ENTITY traceroute-md5sum        "559f104e155e0e14ee0c717776a745fa">
+  <!ENTITY traceroute-size          "68 KB">
+  <!ENTITY traceroute-buildsize     "648 KB">
   <!ENTITY traceroute-time          "Less than 0.1 SBU">
 ]>
@@ -83,5 +83,9 @@
 
 <screen role='root'><userinput>make prefix=/usr install &amp;&amp;
-mv /usr/bin/traceroute /bin</userinput></screen>
+mv /usr/bin/traceroute /bin &amp;&amp;
+ln -sv -f traceroute /bin/traceroute6 &amp;&amp;
+ln -sv -f traceroute.8 /usr/share/man/man8/traceroute6.8</userinput></screen>
+
+    <para>Use <command>man 8 traceroute</command> and/or <command>man 8 traceroute6</command>, because <command>man traceroute</command> refer to the overwriten version installed in LFS by inetutils.</para>
   </sect2>
 
@@ -95,5 +99,5 @@
 
       <seglistitem>
-        <seg>traceroute</seg>
+        <seg>traceroute and traceroute6 (symlink)</seg>
         <seg>None</seg>
         <seg>None</seg>
@@ -118,4 +122,14 @@
       </varlistentry>
 
+      <varlistentry id="traceroute6-prog">
+        <term><command>traceroute6</command></term>
+        <listitem>
+          <para>is equivalent to <command>traceroute -6</command>.</para>
+          <indexterm zone="traceroute traceroute6-prog">
+            <primary sortas="b-traceroute6">traceroute6</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 