Index: general.ent
===================================================================
--- general.ent	(revision 32e18b077b7438db229bfea026720846a15d6152)
+++ general.ent	(revision 84591787f9641415012d71c0820f280721eff4bf)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "09">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,6 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 5th, &year;">
-<!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
+<!ENTITY releasedate  "December 9th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/gpm.xml
===================================================================
--- general/sysutils/gpm.xml	(revision 32e18b077b7438db229bfea026720846a15d6152)
+++ general/sysutils/gpm.xml	(revision 84591787f9641415012d71c0820f280721eff4bf)
@@ -86,5 +86,6 @@
     the following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<screen><userinput>./autogen.sh                                &amp;&amp;
+./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -93,16 +94,16 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install                                             &amp;&amp;
-
-install-info --dir-file=/usr/share/info/dir \
-             /usr/share/info/gpm.info                    &amp;&amp;
-
-ln -v -sfn libgpm.so.2.1.0 /usr/lib/libgpm.so            &amp;&amp;
-install -v -m644 conf/gpm-root.conf /etc                 &amp;&amp;
-
-install -v -m755 -d /usr/share/doc/gpm-&gpm-version;            &amp;&amp;
-chmod   -v   755    doc/support                          &amp;&amp;
-chmod   -v   644    doc/{support/*,FAQ,HACK_GPM,README*} &amp;&amp;
-cp      -v -R       doc/{FAQ,HACK_GPM,README*,support} \
+<screen role="root"><userinput>make install                                          &amp;&amp;
+
+install-info --dir-file=/usr/share/info/dir           \
+             /usr/share/info/gpm.info                 &amp;&amp;
+
+ln -v -sfn libgpm.so.2.1.0 /usr/lib/libgpm.so         &amp;&amp;
+install -v -m644 conf/gpm-root.conf /etc              &amp;&amp;
+
+install -v -m755 -d /usr/share/doc/gpm-&gpm-version;/support &amp;&amp;
+install -v -m644    doc/support/*                     \
+                    /usr/share/doc/gpm-&gpm-version;/support &amp;&amp;
+install -v -m644    doc/{FAQ,HACK_GPM,README*}        \
                     /usr/share/doc/gpm-&gpm-version;</userinput></screen>
 
@@ -111,4 +112,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><command>./autogen.sh</command>: This command creates the missing
+    <command>configure</command> script.</para>
 
     <para><command>install-info ...</command>: This package installs an
@@ -147,5 +151,5 @@
 
       <para><filename>/etc/sysconfig/mouse</filename>:
-      This file contains the name of your mouse device and the protocol which
+      This file contains the name of your mouse device and the protocol
       it uses.  To create this file, run the following as the
       <systemitem class="username">root</systemitem> user:</para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 32e18b077b7438db229bfea026720846a15d6152)
+++ introduction/welcome/changelog.xml	(revision 84591787f9641415012d71c0820f280721eff4bf)
@@ -19,8 +19,8 @@
   <title>Change Log</title>
 
-  <para>Please note that the Change Log only lists which editor was
+  <!-- <para>Please note that the Change Log only lists which editor was
   responsible for putting the changes into SVN; please read the
   <xref linkend="credits"/> page in Chapter 1 for details on
-  who wrote what.</para>
+  who wrote what.</para> -->
 
   <para>Current release: &version; &ndash; &releasedate;</para>
@@ -44,4 +44,15 @@
 
 -->
+    <listitem>
+      <para>December 9th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Add a command to the GPM instructions to create the
+          missing configure script. Fixes
+          <ulink url="&blfs-ticket-root;3681">#3681</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>December 5th, 2012</para>