Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/curl.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -89,5 +89,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref role="runtime" linkend="make-ca"/> (runtime) 
+      <xref role="runtime" linkend="make-ca"/> (runtime)
     </para>
 
@@ -107,5 +107,5 @@
       <ulink url="https://launchpad.net/libmetalink/">libmetalink</ulink>,
       <ulink url="http://rtmpdump.mplayerhq.hu/">librtmp</ulink>,
-      <ulink url="https://github.com/ngtcp2/ngtcp2/">ngtcp2</ulink>, 
+      <ulink url="https://github.com/ngtcp2/ngtcp2/">ngtcp2</ulink>,
       <!--<ulink url="https://tls.mbed.org/">mbed TLS</ulink> (formerly known as
       PolarSSL), and -->
@@ -167,5 +167,5 @@
     external packages.
 
-    2017-12-01 - bdubbs 
+    2017-12-01 - bdubbs
     Still a lot of test failures.  I did have c-ares, Kerberos, and ldap
     installed this time.  Best guess is that servers are not available.
@@ -179,5 +179,5 @@
 
     <para>
-       To run the test suite, issue: <command>make test</command>. 
+       To run the test suite, issue: <command>make test</command>.
        <!-- Three tests, 1700, 1701, and 1702, are known to fail due to
        missing executables from the nghttp2 package.-->
@@ -186,5 +186,5 @@
 fail for unknown reasons, and all tests fail is valgrind is installed. Moving
 valgrind out of $PATH is recommended if you wish to run the test suite while
-it is installed. 
+it is installed.
 
 Added by Pierre for curl-7.59.0:
@@ -193,5 +193,5 @@
 Warning: dict server unexpectedly alive
 TESTDONE: 950 tests out of 951 reported OK: 99%
-TESTFAIL: These test cases failed: 1148 
+TESTFAIL: These test cases failed: 1148
 TESTDONE: 1189 tests were considered during 362 seconds.
 __________
@@ -204,13 +204,13 @@
 TESTDONE: 1175 tests were considered during 355 seconds.
          and no. I don't have smb - so commenting the rest of this:
-      To run the test suite, issue: <command>make test</command>. Many tests 
+      To run the test suite, issue: <command>make test</command>. Many tests
       may fail that depend on optional dependencies that may not be installed
-      or upstream servers that may not be available, especially for tests 
+      or upstream servers that may not be available, especially for tests
       numbered 700 and above.
-      Test time may be significantly increase due to hanging tests that fail. 
+      Test time may be significantly increase due to hanging tests that fail.
 __________
 Added by Bruce for curl-7.60.0:
 TESTDONE: 957 tests out of 959 reported OK: 99%
-TESTFAIL: These test cases failed: 1139 1140 
+TESTFAIL: These test cases failed: 1139 1140
 TESTDONE: 1196 tests were considered during 1184 seconds.
 From the logs, both appear to be ipv6 releated.
@@ -264,5 +264,5 @@
 TESTDONE: 1254 tests were considered during 1364 seconds.
 
-The tests that fail seem to be somewhat random.  What happened between 
+The tests that fail seem to be somewhat random.  What happened between
 yesterday and today that that tests 1139 1140 1173 now fail?
 
@@ -304,5 +304,5 @@
 Added by renodr for curl-7.72.0:
 TESTDONE: 1094 tests out of 1097 reported OK: 99%
-TESTFAIL: These test cases failed: 1700 1701 1702 
+TESTFAIL: These test cases failed: 1700 1701 1702
 TESTDONE: 1374 tests were considered during 1285 seconds.
 Tests have all BLFS dependencies with the exception of stunnel;
Index: networking/netlibs/ldns.xml
===================================================================
--- networking/netlibs/ldns.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/ldns.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -143,5 +143,5 @@
     <para>
       <parameter>--with-drill</parameter>: This option enables building of the
-      <command>drill</command> tool (used for obtaining debug information 
+      <command>drill</command> tool (used for obtaining debug information
       from DNS(SEC))
     </para>
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/libsoup.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -11,5 +11,5 @@
   <!ENTITY libsoup-md5sum        "076f7ceeb73ebae2cc55a4c2877f6926">
   <!ENTITY libsoup-size          "1.4 MB">
-  <!ENTITY libsoup-buildsize     "15 MB (with tests)"> 
+  <!ENTITY libsoup-buildsize     "15 MB (with tests)">
   <!ENTITY libsoup-time          "0.2 SBU (Using parallelism=4; with tests)">
 ]>
@@ -109,5 +109,5 @@
       <xref linkend="gtk-doc"/>,
          <!-- It seems that XMLRPC is part of PHP 5.4.10 -->
-      <xref linkend="php"/> compiled with XMLRPC-EPI 
+      <xref linkend="php"/> compiled with XMLRPC-EPI
       support (only used for the XMLRPC regression tests), and
       <xref linkend="samba"/> (ntlm_auth is required to run the test suite)
@@ -165,5 +165,5 @@
     <para>
       <option>-Dvapi=disabled</option>: Use this if you have not installed
-      <application>Vala</application>, e.g. because you are not building 
+      <application>Vala</application>, e.g. because you are not building
       <application>GNOME</application>.
     </para>
Index: networking/netlibs/libtirpc.xml
===================================================================
--- networking/netlibs/libtirpc.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/libtirpc.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -89,5 +89,5 @@
     <note>
       <para>
-        If updating this package, you will also need to update 
+        If updating this package, you will also need to update
         any existing version of <xref linkend='rpcbind'/>
       </para>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/neon.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -121,5 +121,5 @@
       <application>GnuTLS</application> respectively. To force
       <application>GnuTLS</application> usage when it is are present,
-      simply pass <option>--with-ssl=gnutls</option> and 
+      simply pass <option>--with-ssl=gnutls</option> and
       <option>--with-ca-bundle=/etc/pki/tls/certs/ca-bundle.crt</option> to the
       <command>configure</command> script.
Index: networking/netlibs/rpcsvc-proto.xml
===================================================================
--- networking/netlibs/rpcsvc-proto.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/rpcsvc-proto.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -30,5 +30,5 @@
 
     <para>
-      The <application>rpcsvc-proto</application> package contains the rcpsvc 
+      The <application>rpcsvc-proto</application> package contains the rcpsvc
       protocol files and headers, formerly included with glibc, that are not
       included in replacement <xref linkend="libtirpc"/>, along with the rpcgen
Index: networking/netlibs/serf.xml
===================================================================
--- networking/netlibs/serf.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/serf.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -142,5 +142,5 @@
       <command>sed -i "..."</command>: The first command removes the runtime
       path from a shared library and the next two commands disable building and
-      installing of the static library.  The fourth command corrects for 
+      installing of the static library.  The fourth command corrects for
       changes in scons-3.x. The last command allows to use <application>
       Python 3</application>.
Index: networking/netlibs/uhttpmock.xml
===================================================================
--- networking/netlibs/uhttpmock.xml	(revision 5f6fdc4f761489152d4525b2383341255057845d)
+++ networking/netlibs/uhttpmock.xml	(revision 85580446b2984527f6de0b383a6c0ad5150b3954)
@@ -82,5 +82,5 @@
       <xref linkend="vala"/>
     </para>
-  
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">