Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f04e8c75aa6ebbdfc35a430b687f29309b1eb95f)
+++ introduction/welcome/changelog.xml	(revision 08559466808ef8bdcad86ba0adab21171016faeb)
@@ -49,4 +49,13 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to libxfce4ui-4.12.1.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xfce4-session-4.12.1.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xfwm4-4.12.2.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Update to unbound-1.5.2. Fixes 
           <ulink url="&blfs-ticket-root;6163">#6163</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision f04e8c75aa6ebbdfc35a430b687f29309b1eb95f)
+++ packages.ent	(revision 08559466808ef8bdcad86ba0adab21171016faeb)
@@ -528,5 +528,5 @@
 <!ENTITY libxfce4util-version         "4.12.1">
 <!ENTITY xfconf-version               "4.12.0">
-<!ENTITY libxfce4ui-version           "4.12.0">
+<!ENTITY libxfce4ui-version           "4.12.1">
 <!ENTITY exo-version                  "0.10.4">
 <!ENTITY garcon-version               "0.4.0">
@@ -543,6 +543,6 @@
 <!ENTITY xfce4-settings-version       "4.12.0">
 <!ENTITY xfdesktop-version            "4.12.0">
-<!ENTITY xfwm4-version                "4.12.0">
-<!ENTITY xfce4-session-version        "4.12.0">
+<!ENTITY xfwm4-version                "4.12.2">
+<!ENTITY xfce4-session-version        "4.12.1">
 
 <!-- Chapter 33 -->
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision f04e8c75aa6ebbdfc35a430b687f29309b1eb95f)
+++ xfce/core/libxfce4ui.xml	(revision 08559466808ef8bdcad86ba0adab21171016faeb)
@@ -8,7 +8,7 @@
            "http://archive.xfce.org/src/xfce/libxfce4ui/&xfce4-version;/libxfce4ui-&libxfce4ui-version;.tar.bz2">
   <!ENTITY libxfce4ui-download-ftp  " ">
-  <!ENTITY libxfce4ui-md5sum        "0215b94338a2592e7284aaa23c5c5661">
-  <!ENTITY libxfce4ui-size          "644 KB">
-  <!ENTITY libxfce4ui-buildsize     "9.8 MB">
+  <!ENTITY libxfce4ui-md5sum        "ea9fad7d059fe8f531fe8db42dabb5a9">
+  <!ENTITY libxfce4ui-size          "652 KB">
+  <!ENTITY libxfce4ui-buildsize     "9.9 MB">
   <!ENTITY libxfce4ui-time          "0.1 SBU">
 ]>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision f04e8c75aa6ebbdfc35a430b687f29309b1eb95f)
+++ xfce/core/xfce4-session.xml	(revision 08559466808ef8bdcad86ba0adab21171016faeb)
@@ -8,8 +8,8 @@
            "http://archive.xfce.org/src/xfce/xfce4-session/&xfce4-version;/xfce4-session-&xfce4-session-version;.tar.bz2">
   <!ENTITY xfce4-session-download-ftp  " ">
-  <!ENTITY xfce4-session-md5sum        "d75b257bc0954c238d3c82ce498525aa">
+  <!ENTITY xfce4-session-md5sum        "f4921fb2e606e74643daf1212263076c">
   <!ENTITY xfce4-session-size          "1.2 MB">
-  <!ENTITY xfce4-session-buildsize     "21 MB">
-  <!ENTITY xfce4-session-time          "0.3 SBU">
+  <!ENTITY xfce4-session-buildsize     "14 MB">
+  <!ENTITY xfce4-session-time          "0.2 SBU">
 ]>
 
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision f04e8c75aa6ebbdfc35a430b687f29309b1eb95f)
+++ xfce/core/xfwm4.xml	(revision 08559466808ef8bdcad86ba0adab21171016faeb)
@@ -7,7 +7,7 @@
   <!ENTITY xfwm4-download-http "http://archive.xfce.org/src/xfce/xfwm4/&xfce4-version;/xfwm4-&xfwm4-version;.tar.bz2">
   <!ENTITY xfwm4-download-ftp  " ">
-  <!ENTITY xfwm4-md5sum        "165b4e380eb02e33d6c67774b38f16b1">
+  <!ENTITY xfwm4-md5sum        "3728768dd9ea0de624cd3efc5dcccbca">
   <!ENTITY xfwm4-size          "1.1 MB">
-  <!ENTITY xfwm4-buildsize     "19 MB">
+  <!ENTITY xfwm4-buildsize     "18 MB">
   <!ENTITY xfwm4-time          "0.1 SBU">
 ]>