Index: basicnet/netlibs/wvstreams.xml
===================================================================
--- basicnet/netlibs/wvstreams.xml	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ basicnet/netlibs/wvstreams.xml	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -4,9 +4,9 @@
   %general-entities;
  
-  <!ENTITY wvstreams-download-http "http://open.nit.ca/download/wvstreams-&wvstreams-version;.tar.gz">
-  <!ENTITY wvstreams-download-ftp  "ftp://ftp.ing-steen.se/pub/unix/unsort/wvstreams-&wvstreams-version;.tar.gz">
-  <!ENTITY wvstreams-size          "178 KB">
-  <!ENTITY wvstreams-buildsize     "11.5 MB">
-  <!ENTITY wvstreams-time          "0.17 SBU">
+  <!ENTITY wvstreams-download-http "http://people.nit.ca/~jim/wvstreams-&wvstreams-version;.tar.gz">
+  <!ENTITY wvstreams-download-ftp  " ">
+  <!ENTITY wvstreams-size          "514 KB">
+  <!ENTITY wvstreams-buildsize     "28 MB">
+  <!ENTITY wvstreams-time          "0.50 SBU">
 ]>
 
@@ -18,6 +18,7 @@
 <title>Introduction to <application>WvStreams</application></title>
 
-<para>The <application>WvStreams</application> package contains the 
-network programming libraries required to compile wvdial.</para>
+<para><application>WvStreams</application> is a library suite containing the 
+platform-independent C++ networking and utilities libraries for rapid
+application development.</para>
 
 <sect3><title>Package information</title>
@@ -31,14 +32,26 @@
 
 <sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/wvstreams-&wvstreams-version;-wvcrypto-1.patch"/></para></listitem>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/wvstreams-&wvstreams-version;-wvresolver-1.patch"/></para></listitem>
+<itemizedlist spacing="compact">
+<listitem><para>Required Patch for Tcl: <ulink
+url="&patch-root;/wvstreams-&wvstreams-version;-tcl84-1.patch"/></para></listitem>
 </itemizedlist></sect3>
 
 <sect3><title><application>WvStreams</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="openssl"/>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="fam"/>,
+<xref linkend="db"/>,
+<xref linkend="gdbm"/>,
+<xref linkend="libogg"/>,
+<xref linkend="openssl"/>,
+<xref linkend="Linux_PAM"/>,
+<xref linkend="tcl"/>,
+<xref linkend="qt"/>,
+<xref linkend="speex"/>,
+<xref linkend="libvorbis"/>,
+<ulink url="http://www.fftw.org/">FFTW-2.<replaceable>X</replaceable></ulink>,
+<ulink url="http://www.swig.org">SWIG</ulink>,
+<ulink url="http://valgrind.kde.org/">Valgrind</ulink> and
+<ulink url="http://xplc.sourceforge.net/">XPLC</ulink>
 </para></sect4>
 </sect3>
@@ -49,20 +62,15 @@
 <title>Installation of <application>WvStreams</application></title>
 
+<para>If you have <application>Tcl</application> and SWIG installed and wish to
+utilize them apply the following patch:</para>
+
+<screen><userinput><command>patch -Np1 -i ../wvstreams-&wvstreams-version;-tcl84-1.patch</command></userinput></screen>
+
 <para>Install <application>WvStreams</application> by running the following 
 commands:</para>
 
-<screen><userinput><command>patch -Np1 -i ../wvstreams-&wvstreams-version;-wvcrypto-1.patch &amp;&amp;
-patch -Np1 -i ../wvstreams-&wvstreams-version;-wvresolver-1.patch &amp;&amp;
-make PREFIX=/usr LDFLAGS="-lcrypt" &amp;&amp;
-make PREFIX=/usr install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>make PREFIX=/usr LDFLAGS="-lcrypt"</parameter>: This fixes 
-<filename class="libraryfile">libwvstreams</filename>' issues  with 
-<application>Open<acronym>SSL</acronym></application>'s crypto library.</para>
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
 
 </sect2>
@@ -81,7 +89,12 @@
 
 <para>The <application>WvStreams</application> package contains the
-<filename class="libraryfile">libwvcrypto</filename>,
+<filename class="libraryfile">libuniconf</filename>,
+<filename class="libraryfile">libwvfft</filename>,
+<filename class="libraryfile">libwvoggspeex</filename>,
+<filename class="libraryfile">libwvoggvorbis</filename>,
+<filename class="libraryfile">libwvqt</filename>,
 <filename class="libraryfile">libwvstreams</filename> and
-<filename class="libraryfile">libwvutils</filename> libraries.</para>
+<filename class="libraryfile">libwvutils</filename>
+libraries.</para>
 
 </sect2>
@@ -89,18 +102,38 @@
 <sect2><title>Description</title>
 
-<sect3><title>libwvcrypto</title>
-<para><filename class="libraryfile">libwvcrypto</filename> defines 
-streams with built-in cryptography.</para></sect3>
+<sect3><title>libuniconf, libwvstreams, libwvutils</title>
+<para>
+These libraries contain the base C++ classes for rapid application
+development.
+</para></sect3>
 
-<sect3><title>libwvstreams</title>
-<para><filename class="libraryfile">libwvstreams</filename> defines the 
-basic properties of a stream.</para></sect3>
+<sect3><title>libwvfft</title>
+<para><filename class="libraryfile">libwvfft</filename>
+enables <application>WvStreams</application> programs to easily handle
+Fast-Fourier transforms, instead of forcing the programmer to use the
+much harder to use <filename class="libraryfile">libfftw</filename>
+interface.
+</para></sect3>
 
-<sect3><title>libwvutils</title>
-<para><filename class="libraryfile">libwvutils</filename> contains 
-fundamental support utilities.</para></sect3>
+<sect3><title>libwvoggspeex</title>
+<para><filename class="libraryfile">libwvoggspeex</filename>
+enables quick and painless creation of audio streams using the Speex
+Voice over <acronym>IP</acronym> <acronym>CODEC</acronym>.
+</para></sect3>
+
+<sect3><title>libwvoggvorbis</title>
+<para><filename class="libraryfile">libwvoggvorbis</filename>
+enables quick and painless creation of audio streams using the OggVorbis
+<acronym>CODEC</acronym>.
+</para></sect3>
+
+<sect3><title>libwvqt</title>
+<para><filename class="libraryfile">libwvqt</filename>
+enables <application>WvStreams</application> to act as the I/O and
+configuration back end for <application>Qt</application> and
+<application><acronym>KDE</acronym></application>.
+</para></sect3>
 
 </sect2>
 
 </sect1>
-
Index: connect/dialup/wvdial.xml
===================================================================
--- connect/dialup/wvdial.xml	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ connect/dialup/wvdial.xml	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -8,5 +8,5 @@
   <!ENTITY wvdial-download-ftp  "ftp://ftp.ing-steen.se/pub/unix/unsort/wvdial-&wvdial-version;.tar.gz">
   <!ENTITY wvdial-size          "66 KB">
-  <!ENTITY wvdial-buildsize     "2.3 MB">
+  <!ENTITY wvdial-buildsize     "2.7 MB">
   <!ENTITY wvdial-time          "0.06 SBU">
 ]>
Index: general.ent
===================================================================
--- general.ent	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ general.ent	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -1,3 +1,3 @@
-<!ENTITY day          "10">
+<!ENTITY day          "11">
 <!ENTITY month        "07">
 <!ENTITY year         "2004">
@@ -138,5 +138,5 @@
 <!-- Chapter 13 -->                  
 <!ENTITY ppp-version                  "2.4.2"> 
-<!ENTITY wvdial-version               "1.53"> 
+<!ENTITY wvdial-version               "1.54.0"> 
                                   
 <!-- Chapter 14 -->               
@@ -149,5 +149,5 @@
 <!-- Chapter 16 -->               
 <!ENTITY curl-version                 "7.11.2"> 
-<!ENTITY wvstreams-version            "3.70">  
+<!ENTITY wvstreams-version            "3.75.0">  
 <!ENTITY gnet-version                 "2.0.5">   
 <!ENTITY libsoup-version              "1.99.28"> 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ introduction/welcome/changelog.xml	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -19,4 +19,7 @@
 <itemizedlist>
 
+<listitem><para>July 11th, 2004 [igor]: Updated to WvStreams-3.75.0
+and WvDial-1.54.0.</para></listitem>
+
 <listitem><para>July 10th, 2004 [igor]: Updated to FreeType-2.1.9,
 added FreeType patch to Firefox.</para></listitem>
Index: multimedia/libdriv/libvorbis.xml
===================================================================
--- multimedia/libdriv/libvorbis.xml	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ multimedia/libdriv/libvorbis.xml	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -38,4 +38,9 @@
 <sect4><title>Required</title>
 <para><xref linkend="libogg"/></para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="libxslt"/> and
+<xref linkend="pst-typesetting-tex"/>
+</para></sect4>
 </sect3>
 
@@ -66,4 +71,12 @@
 
 <sect2>
+<title>Command explanations</title>
+
+<para><option>--enable-docs</option>: This switch enables
+building the documentation.</para>
+
+</sect2>
+
+<sect2>
 <title>Contents</title>
 
Index: multimedia/libdriv/speex.xml
===================================================================
--- multimedia/libdriv/speex.xml	(revision 70823f8beec553444f1b9b92bec9379b33bbdcb5)
+++ multimedia/libdriv/speex.xml	(revision 0880295691a3d5d133bd8bd510aa8fae2975581a)
@@ -33,5 +33,5 @@
 
 <sect3><title><application>Speex</application> dependencies</title>
-<sect4><title>Recommended</title>
+<sect4><title>Optional</title>
 <para><xref linkend="libogg"/>
 </para></sect4>