Index: general/graphlib/glm.xml
===================================================================
--- general/graphlib/glm.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/graphlib/glm.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/apache-ant.xml
===================================================================
--- general/prog/apache-ant.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/prog/apache-ant.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/prog/java.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -99,5 +99,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Binary Package Information</bridgehead>
Index: general/prog/openjdk.xml
===================================================================
--- general/prog/openjdk.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/prog/openjdk.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -48,5 +48,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <para>
Index: general/prog/perl-modules/perl-parse-yapp.xml
===================================================================
--- general/prog/perl-modules/perl-parse-yapp.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/prog/perl-modules/perl-parse-yapp.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -28,5 +28,5 @@
       </para>
 
-      &lfs91_checked;
+      &lfs10_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ general/sysutils/udisks2.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/baobab.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/cheese.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/eog.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/evolution.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/file-roller.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <note>
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-calculator.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-color-manager.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-disk-utility.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-maps.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-nettool.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-system-monitor.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-terminal.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-tweaks.xml
===================================================================
--- gnome/applications/gnome-tweaks.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-tweaks.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gnome-weather.xml
===================================================================
--- gnome/applications/gnome-weather.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gnome-weather.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/gucharmap.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/applications/seahorse.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/evolution-data-server.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/folks.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gdm.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-autoar.xml
===================================================================
--- gnome/platform/gnome-autoar.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-autoar.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-backgrounds.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-control-center.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-desktop.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-menus.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-session.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-shell.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gnome-user-docs.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/gvfs.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgee.xml
===================================================================
--- gnome/platform/libgee.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/libgee.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/libgweather.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/mutter.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/nautilus.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/tracker.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/yelp-xsl.xml
===================================================================
--- gnome/platform/yelp-xsl.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/yelp-xsl.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ gnome/platform/yelp.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/pipewire.xml
===================================================================
--- multimedia/libdriv/pipewire.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ multimedia/libdriv/pipewire.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ networking/netutils/networkmanager.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <note revision="systemd">
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ server/databases/lmdb.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter-gtk.xml
===================================================================
--- x/lib/clutter-gtk.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ x/lib/clutter-gtk.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/colord-gtk.xml
===================================================================
--- x/lib/colord-gtk.xml	(revision ee369e029409ac69620522d94808ff82110ee2de)
+++ x/lib/colord-gtk.xml	(revision 88377804c8a4894060151d839c4b8cbde20968f1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>